Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Interface JRSecurityHierarchicalDataSource

All Superinterfaces:
  JRHierarchicalDataSource

    public interface JRSecurityHierarchicalDataSource

extends JRHierarchicalDataSource

A JRSecurityHierarchicalDataSource provides data for JReport to generate reports. JRHierarchicalDataSource class is developed by users of JReport, and it can provide data from a flat file, non-relational database, or application data. The data returned by this class is in JRHierarchicalDataset object, so users need to create JRHierarchicalDataset instance and JReport will use the instance to fetch data. Users can also create their own JRHierarchicalDataset class.

Method Summary
`JRHierarchicalDataset` | `getHierarchicalDataset(SecurityContext sc, java.lang.String param)` Gets the data in JRSecurityHierarchicalDataset according to the security context and parameters.

Methods inherited from interface jet.datasource.JRHierarchicalDataSource
`getHierarchicalDataset, releaseHierarchicalDataset, setUsedFields`

Method Detail

### getHierarchicalDataset

    JRHierarchicalDataset getHierarchicalDataset(SecurityContext sc,
                                                 java.lang.String param)
                                                 throws JRUserDataSourceException

  Gets the data in JRSecurityHierarchicalDataset according to the security context and parameters.

  Parameters:
    `sc` - A SecurityContext object, which is implemented by the user. Refer to jet.server.api.SecurityContext.
    `param` - The parameter that the user wants to use for HDS.
  Returns:
    The JRHierarchicalDataset object. Refer to jet.datasource.JRHierarchicalDataset.
  Throws:
    `JRUserDataSourceException` - if a data access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD